# include <stdio.h>
# include <stdlib.h>
# include <math.h>
#include "syr_tree.h"
#include "syr_bd.h"
#include "syr_abs.h"
#include "syr_option.h"
#include "syr_const.h"
#include "syr_proto.h"
#include "syr_hmt_bd.h"
#include "syr_hmt_proto.h"


/*******************************************************************/ 
void user_cini_fct(struct Maillage maillnodes,double *t)
/*******************************************************************/ 
{
}
/*******************************************************************/ 
void user_cphyso_fct(struct Maillage maillnodes,
                     double *tmps,struct Prophy physol,double tempss)
/*******************************************************************/ 
{
}
/*******************************************************************/ 
void user_limfso_fct(struct Maillage maillnodes,struct MaillageBord maillnodebord,
	                   struct MaillageCL maillnodeus,
	                   double *t,struct Clim diric,struct Clim flux,
	                   struct Clim echang,struct Clim rayinf,double tempss)
/*******************************************************************/ 
{
  int i,j,nr,np;
  double x,y,z,T,tt;

  tt=tempss;

    for (j=0;j<diric.ndmat;j++) 
      for (i=0;i<diric.nelem;i++) 
        { 
          nr=maillnodebord.nrefe[diric.numf[i]]; 
          np=maillnodebord.node[j][diric.numf[i]];
          x=maillnodes.coord[0][np]; 
          y=maillnodes.coord[1][np]; 
          if (maillnodes.ndim==3) z=maillnodes.coord[2][np]; 
          T=t[np]; 
          if (nr== 6) {
              diric.val1[j][i]=20+1.e-6*10.*tt; 
            } 
        } 
}
/*******************************************************************/ 
void user_cfluvs_fct(struct Maillage maillnodes,
                     double *tmps,struct Cvol fluxvol,double tempss)
/*******************************************************************/ 
{
}
/*******************************************************************/ 
void user_rescon_fct(struct Maillage maillnodes,struct MaillageCL maillnodeus,
	  	           double *t,double *tcor,struct Contact rescon,double tempss,
		           struct SDparall sdparall)
/*******************************************************************/ 
{
}
/************************************************************************/ 
void user_hmt_cini_fct(struct Maillage maillnodes,
		             double *t,double *pv,double *pt)
/************************************************************************/ 
{
}
/*******************************************************************/ 
void user_hmt_limfso_fct(struct Maillage maillnodes,struct MaillageCL maillnodeus,
	                       double *t,double *pv,double *pt,
	                       struct HmtClimhhh hmtclimhhh,struct Clim rayinf,double tempss)
/*******************************************************************/ 
{
}
/************************************************************************/ 
void user_hmt_cfluvs_fct(struct Maillage maillnodes,
			 double *t, struct Cvol fluxvol_t ,
			 double *pv,struct Cvol fluxvol_pv,
			 double *pt,struct Cvol fluxvol_pt,double tempss)
/************************************************************************/ 
{
}
/*******************************************************************/ 
void user_hmt_rescon_fct(struct Maillage maillnodes,struct MaillageCL maillnodeus,
		               double *t,double *pv,double *pt,
    	               double *tcor,double *pvcor,double *ptcor,
		               struct Contact rescon,double tempss,
		               struct SDparall sdparall)
/*******************************************************************/ 
{
}
/*******************************************************************/ 
void user_transfo_perio_fct(int ndim,
                            int nb1,int *iref,
                            double x,double y,double z,
                            double *xt, double *yt, double *zt)
/*******************************************************************/ 
{
}
/*******************************************************************/ 
void user_ray_ftc(struct Maillage maillnodray,
                  double *tmpray,struct ProphyRay phyray,
                  struct PropInfini *propinf,struct Clim fimpray,struct Vitre vitre,
                  double tempss)
/*******************************************************************/ 
{
}
/*******************************************************************/ 
void user_solaire_fct(double *fdirect,double *fdiffus, int nbande,double tempss)
/*******************************************************************/ 
{
}
/*******************************************************************/ 
void user_propincidence_fct(int n,int nbande,double teta,
                            double **e,double **r,double **a,double **t,
                            double **emissi,double **reflec,
                            double **absorb,double **transm)
/*******************************************************************/ 
{
}
